Finish conversion of Browse options
[Samba/gebeck_regimport.git] / docs / docbook / configure
blob8680e5b5abd0b72074a9e260f9e399b82b705dc2
1 #! /bin/sh
3 # Guess values for system-dependent variables and create Makefiles.
4 # Generated automatically using autoconf version 2.13
5 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
7 # This configure script is free software; the Free Software Foundation
8 # gives unlimited permission to copy, distribute and modify it.
10 # Defaults:
11 ac_help=
12 ac_default_prefix=/usr/local
13 # Any additions from configure.in:
15 # Initialize some variables set by options.
16 # The variables have the same names as the options, with
17 # dashes changed to underlines.
18 build=NONE
19 cache_file=./config.cache
20 exec_prefix=NONE
21 host=NONE
22 no_create=
23 nonopt=NONE
24 no_recursion=
25 prefix=NONE
26 program_prefix=NONE
27 program_suffix=NONE
28 program_transform_name=s,x,x,
29 silent=
30 site=
31 srcdir=
32 target=NONE
33 verbose=
34 x_includes=NONE
35 x_libraries=NONE
36 bindir='${exec_prefix}/bin'
37 sbindir='${exec_prefix}/sbin'
38 libexecdir='${exec_prefix}/libexec'
39 datadir='${prefix}/share'
40 sysconfdir='${prefix}/etc'
41 sharedstatedir='${prefix}/com'
42 localstatedir='${prefix}/var'
43 libdir='${exec_prefix}/lib'
44 includedir='${prefix}/include'
45 oldincludedir='/usr/include'
46 infodir='${prefix}/info'
47 mandir='${prefix}/man'
49 # Initialize some other variables.
50 subdirs=
51 MFLAGS= MAKEFLAGS=
52 SHELL=${CONFIG_SHELL-/bin/sh}
53 # Maximum number of lines to put in a shell here document.
54 ac_max_here_lines=12
56 ac_prev=
57 for ac_option
60 # If the previous option needs an argument, assign it.
61 if test -n "$ac_prev"; then
62 eval "$ac_prev=\$ac_option"
63 ac_prev=
64 continue
67 case "$ac_option" in
68 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
69 *) ac_optarg= ;;
70 esac
72 # Accept the important Cygnus configure options, so we can diagnose typos.
74 case "$ac_option" in
76 -bindir | --bindir | --bindi | --bind | --bin | --bi)
77 ac_prev=bindir ;;
78 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
79 bindir="$ac_optarg" ;;
81 -build | --build | --buil | --bui | --bu)
82 ac_prev=build ;;
83 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
84 build="$ac_optarg" ;;
86 -cache-file | --cache-file | --cache-fil | --cache-fi \
87 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
88 ac_prev=cache_file ;;
89 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
90 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
91 cache_file="$ac_optarg" ;;
93 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
94 ac_prev=datadir ;;
95 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
96 | --da=*)
97 datadir="$ac_optarg" ;;
99 -disable-* | --disable-*)
100 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
101 # Reject names that are not valid shell variable names.
102 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
103 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
105 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
106 eval "enable_${ac_feature}=no" ;;
108 -enable-* | --enable-*)
109 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
110 # Reject names that are not valid shell variable names.
111 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
112 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
114 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
115 case "$ac_option" in
116 *=*) ;;
117 *) ac_optarg=yes ;;
118 esac
119 eval "enable_${ac_feature}='$ac_optarg'" ;;
121 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
122 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
123 | --exec | --exe | --ex)
124 ac_prev=exec_prefix ;;
125 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
126 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
127 | --exec=* | --exe=* | --ex=*)
128 exec_prefix="$ac_optarg" ;;
130 -gas | --gas | --ga | --g)
131 # Obsolete; use --with-gas.
132 with_gas=yes ;;
134 -help | --help | --hel | --he)
135 # Omit some internal or obsolete options to make the list less imposing.
136 # This message is too long to be a string in the A/UX 3.1 sh.
137 cat << EOF
138 Usage: configure [options] [host]
139 Options: [defaults in brackets after descriptions]
140 Configuration:
141 --cache-file=FILE cache test results in FILE
142 --help print this message
143 --no-create do not create output files
144 --quiet, --silent do not print \`checking...' messages
145 --version print the version of autoconf that created configure
146 Directory and file names:
147 --prefix=PREFIX install architecture-independent files in PREFIX
148 [$ac_default_prefix]
149 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
150 [same as prefix]
151 --bindir=DIR user executables in DIR [EPREFIX/bin]
152 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
153 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
154 --datadir=DIR read-only architecture-independent data in DIR
155 [PREFIX/share]
156 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
157 --sharedstatedir=DIR modifiable architecture-independent data in DIR
158 [PREFIX/com]
159 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
160 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
161 --includedir=DIR C header files in DIR [PREFIX/include]
162 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
163 --infodir=DIR info documentation in DIR [PREFIX/info]
164 --mandir=DIR man documentation in DIR [PREFIX/man]
165 --srcdir=DIR find the sources in DIR [configure dir or ..]
166 --program-prefix=PREFIX prepend PREFIX to installed program names
167 --program-suffix=SUFFIX append SUFFIX to installed program names
168 --program-transform-name=PROGRAM
169 run sed PROGRAM on installed program names
171 cat << EOF
172 Host type:
173 --build=BUILD configure for building on BUILD [BUILD=HOST]
174 --host=HOST configure for HOST [guessed]
175 --target=TARGET configure for TARGET [TARGET=HOST]
176 Features and packages:
177 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
178 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
179 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
180 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
181 --x-includes=DIR X include files are in DIR
182 --x-libraries=DIR X library files are in DIR
184 if test -n "$ac_help"; then
185 echo "--enable and --with options recognized:$ac_help"
187 exit 0 ;;
189 -host | --host | --hos | --ho)
190 ac_prev=host ;;
191 -host=* | --host=* | --hos=* | --ho=*)
192 host="$ac_optarg" ;;
194 -includedir | --includedir | --includedi | --included | --include \
195 | --includ | --inclu | --incl | --inc)
196 ac_prev=includedir ;;
197 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
198 | --includ=* | --inclu=* | --incl=* | --inc=*)
199 includedir="$ac_optarg" ;;
201 -infodir | --infodir | --infodi | --infod | --info | --inf)
202 ac_prev=infodir ;;
203 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
204 infodir="$ac_optarg" ;;
206 -libdir | --libdir | --libdi | --libd)
207 ac_prev=libdir ;;
208 -libdir=* | --libdir=* | --libdi=* | --libd=*)
209 libdir="$ac_optarg" ;;
211 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
212 | --libexe | --libex | --libe)
213 ac_prev=libexecdir ;;
214 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
215 | --libexe=* | --libex=* | --libe=*)
216 libexecdir="$ac_optarg" ;;
218 -localstatedir | --localstatedir | --localstatedi | --localstated \
219 | --localstate | --localstat | --localsta | --localst \
220 | --locals | --local | --loca | --loc | --lo)
221 ac_prev=localstatedir ;;
222 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
223 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
224 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
225 localstatedir="$ac_optarg" ;;
227 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
228 ac_prev=mandir ;;
229 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
230 mandir="$ac_optarg" ;;
232 -nfp | --nfp | --nf)
233 # Obsolete; use --without-fp.
234 with_fp=no ;;
236 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
237 | --no-cr | --no-c)
238 no_create=yes ;;
240 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
241 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
242 no_recursion=yes ;;
244 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
245 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
246 | --oldin | --oldi | --old | --ol | --o)
247 ac_prev=oldincludedir ;;
248 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
249 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
250 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
251 oldincludedir="$ac_optarg" ;;
253 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
254 ac_prev=prefix ;;
255 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
256 prefix="$ac_optarg" ;;
258 -program-prefix | --program-prefix | --program-prefi | --program-pref \
259 | --program-pre | --program-pr | --program-p)
260 ac_prev=program_prefix ;;
261 -program-prefix=* | --program-prefix=* | --program-prefi=* \
262 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
263 program_prefix="$ac_optarg" ;;
265 -program-suffix | --program-suffix | --program-suffi | --program-suff \
266 | --program-suf | --program-su | --program-s)
267 ac_prev=program_suffix ;;
268 -program-suffix=* | --program-suffix=* | --program-suffi=* \
269 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
270 program_suffix="$ac_optarg" ;;
272 -program-transform-name | --program-transform-name \
273 | --program-transform-nam | --program-transform-na \
274 | --program-transform-n | --program-transform- \
275 | --program-transform | --program-transfor \
276 | --program-transfo | --program-transf \
277 | --program-trans | --program-tran \
278 | --progr-tra | --program-tr | --program-t)
279 ac_prev=program_transform_name ;;
280 -program-transform-name=* | --program-transform-name=* \
281 | --program-transform-nam=* | --program-transform-na=* \
282 | --program-transform-n=* | --program-transform-=* \
283 | --program-transform=* | --program-transfor=* \
284 | --program-transfo=* | --program-transf=* \
285 | --program-trans=* | --program-tran=* \
286 | --progr-tra=* | --program-tr=* | --program-t=*)
287 program_transform_name="$ac_optarg" ;;
289 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
290 | -silent | --silent | --silen | --sile | --sil)
291 silent=yes ;;
293 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
294 ac_prev=sbindir ;;
295 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
296 | --sbi=* | --sb=*)
297 sbindir="$ac_optarg" ;;
299 -sharedstatedir | --sharedstatedir | --sharedstatedi \
300 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
301 | --sharedst | --shareds | --shared | --share | --shar \
302 | --sha | --sh)
303 ac_prev=sharedstatedir ;;
304 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
305 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
306 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
307 | --sha=* | --sh=*)
308 sharedstatedir="$ac_optarg" ;;
310 -site | --site | --sit)
311 ac_prev=site ;;
312 -site=* | --site=* | --sit=*)
313 site="$ac_optarg" ;;
315 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
316 ac_prev=srcdir ;;
317 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
318 srcdir="$ac_optarg" ;;
320 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
321 | --syscon | --sysco | --sysc | --sys | --sy)
322 ac_prev=sysconfdir ;;
323 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
324 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
325 sysconfdir="$ac_optarg" ;;
327 -target | --target | --targe | --targ | --tar | --ta | --t)
328 ac_prev=target ;;
329 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
330 target="$ac_optarg" ;;
332 -v | -verbose | --verbose | --verbos | --verbo | --verb)
333 verbose=yes ;;
335 -version | --version | --versio | --versi | --vers)
336 echo "configure generated by autoconf version 2.13"
337 exit 0 ;;
339 -with-* | --with-*)
340 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
341 # Reject names that are not valid shell variable names.
342 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
343 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
345 ac_package=`echo $ac_package| sed 's/-/_/g'`
346 case "$ac_option" in
347 *=*) ;;
348 *) ac_optarg=yes ;;
349 esac
350 eval "with_${ac_package}='$ac_optarg'" ;;
352 -without-* | --without-*)
353 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
354 # Reject names that are not valid shell variable names.
355 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
356 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
358 ac_package=`echo $ac_package| sed 's/-/_/g'`
359 eval "with_${ac_package}=no" ;;
361 --x)
362 # Obsolete; use --with-x.
363 with_x=yes ;;
365 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
366 | --x-incl | --x-inc | --x-in | --x-i)
367 ac_prev=x_includes ;;
368 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
369 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
370 x_includes="$ac_optarg" ;;
372 -x-libraries | --x-libraries | --x-librarie | --x-librari \
373 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
374 ac_prev=x_libraries ;;
375 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
376 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
377 x_libraries="$ac_optarg" ;;
379 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
383 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
384 echo "configure: warning: $ac_option: invalid host type" 1>&2
386 if test "x$nonopt" != xNONE; then
387 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
389 nonopt="$ac_option"
392 esac
393 done
395 if test -n "$ac_prev"; then
396 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
399 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
401 # File descriptor usage:
402 # 0 standard input
403 # 1 file creation
404 # 2 errors and warnings
405 # 3 some systems may open it to /dev/tty
406 # 4 used on the Kubota Titan
407 # 6 checking for... messages and results
408 # 5 compiler messages saved in config.log
409 if test "$silent" = yes; then
410 exec 6>/dev/null
411 else
412 exec 6>&1
414 exec 5>./config.log
416 echo "\
417 This file contains any messages produced by compilers while
418 running configure, to aid debugging if configure makes a mistake.
419 " 1>&5
421 # Strip out --no-create and --no-recursion so they do not pile up.
422 # Also quote any args containing shell metacharacters.
423 ac_configure_args=
424 for ac_arg
426 case "$ac_arg" in
427 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
428 | --no-cr | --no-c) ;;
429 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
430 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
431 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
432 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
433 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
434 esac
435 done
437 # NLS nuisances.
438 # Only set these to C if already set. These must not be set unconditionally
439 # because not all systems understand e.g. LANG=C (notably SCO).
440 # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
441 # Non-C LC_CTYPE values break the ctype check.
442 if test "${LANG+set}" = set; then LANG=C; export LANG; fi
443 if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
444 if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
445 if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
447 # confdefs.h avoids OS command line length limits that DEFS can exceed.
448 rm -rf conftest* confdefs.h
449 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
450 echo > confdefs.h
452 # A filename unique to this package, relative to the directory that
453 # configure is in, which we can look for to find out if srcdir is correct.
454 ac_unique_file=global.ent
456 # Find the source files, if location was not specified.
457 if test -z "$srcdir"; then
458 ac_srcdir_defaulted=yes
459 # Try the directory containing this script, then its parent.
460 ac_prog=$0
461 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
462 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
463 srcdir=$ac_confdir
464 if test ! -r $srcdir/$ac_unique_file; then
465 srcdir=..
467 else
468 ac_srcdir_defaulted=no
470 if test ! -r $srcdir/$ac_unique_file; then
471 if test "$ac_srcdir_defaulted" = yes; then
472 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
473 else
474 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
477 srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
479 # Prefer explicitly selected file to automatically selected ones.
480 if test -z "$CONFIG_SITE"; then
481 if test "x$prefix" != xNONE; then
482 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
483 else
484 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
487 for ac_site_file in $CONFIG_SITE; do
488 if test -r "$ac_site_file"; then
489 echo "loading site script $ac_site_file"
490 . "$ac_site_file"
492 done
494 if test -r "$cache_file"; then
495 echo "loading cache $cache_file"
496 . $cache_file
497 else
498 echo "creating cache $cache_file"
499 > $cache_file
502 ac_ext=c
503 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
504 ac_cpp='$CPP $CPPFLAGS'
505 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
506 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
507 cross_compiling=$ac_cv_prog_cc_cross
509 ac_exeext=
510 ac_objext=o
511 if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
512 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
513 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
514 ac_n= ac_c='
515 ' ac_t=' '
516 else
517 ac_n=-n ac_c= ac_t=
519 else
520 ac_n= ac_c='\c' ac_t=
525 # Extract the first word of "jw", so it can be a program name with args.
526 set dummy jw; ac_word=$2
527 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
528 echo "configure:529: checking for $ac_word" >&5
529 if eval "test \"`echo '$''{'ac_cv_path_JW'+set}'`\" = set"; then
530 echo $ac_n "(cached) $ac_c" 1>&6
531 else
532 case "$JW" in
534 ac_cv_path_JW="$JW" # Let the user override the test with a path.
536 ?:/*)
537 ac_cv_path_JW="$JW" # Let the user override the test with a dos path.
540 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
541 ac_dummy="$PATH"
542 for ac_dir in $ac_dummy; do
543 test -z "$ac_dir" && ac_dir=.
544 if test -f $ac_dir/$ac_word; then
545 ac_cv_path_JW="$ac_dir/$ac_word"
546 break
548 done
549 IFS="$ac_save_ifs"
551 esac
553 JW="$ac_cv_path_JW"
554 if test -n "$JW"; then
555 echo "$ac_t""$JW" 1>&6
556 else
557 echo "$ac_t""no" 1>&6
560 if test "x$JW" = x; then
561 { echo "configure: error: "jw is required"" 1>&2; exit 1; }
563 # Extract the first word of "perl", so it can be a program name with args.
564 set dummy perl; ac_word=$2
565 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
566 echo "configure:567: checking for $ac_word" >&5
567 if eval "test \"`echo '$''{'ac_cv_path_PERL'+set}'`\" = set"; then
568 echo $ac_n "(cached) $ac_c" 1>&6
569 else
570 case "$PERL" in
572 ac_cv_path_PERL="$PERL" # Let the user override the test with a path.
574 ?:/*)
575 ac_cv_path_PERL="$PERL" # Let the user override the test with a dos path.
578 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
579 ac_dummy="$PATH"
580 for ac_dir in $ac_dummy; do
581 test -z "$ac_dir" && ac_dir=.
582 if test -f $ac_dir/$ac_word; then
583 ac_cv_path_PERL="$ac_dir/$ac_word"
584 break
586 done
587 IFS="$ac_save_ifs"
589 esac
591 PERL="$ac_cv_path_PERL"
592 if test -n "$PERL"; then
593 echo "$ac_t""$PERL" 1>&6
594 else
595 echo "$ac_t""no" 1>&6
598 if test "x$PERL" = x; then
599 { echo "configure: error: "perl is required"" 1>&2; exit 1; }
601 # Extract the first word of "htmldoc", so it can be a program name with args.
602 set dummy htmldoc; ac_word=$2
603 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
604 echo "configure:605: checking for $ac_word" >&5
605 if eval "test \"`echo '$''{'ac_cv_path_HTMLDOC'+set}'`\" = set"; then
606 echo $ac_n "(cached) $ac_c" 1>&6
607 else
608 case "$HTMLDOC" in
610 ac_cv_path_HTMLDOC="$HTMLDOC" # Let the user override the test with a path.
612 ?:/*)
613 ac_cv_path_HTMLDOC="$HTMLDOC" # Let the user override the test with a dos path.
616 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
617 ac_dummy="$PATH"
618 for ac_dir in $ac_dummy; do
619 test -z "$ac_dir" && ac_dir=.
620 if test -f $ac_dir/$ac_word; then
621 ac_cv_path_HTMLDOC="$ac_dir/$ac_word"
622 break
624 done
625 IFS="$ac_save_ifs"
627 esac
629 HTMLDOC="$ac_cv_path_HTMLDOC"
630 if test -n "$HTMLDOC"; then
631 echo "$ac_t""$HTMLDOC" 1>&6
632 else
633 echo "$ac_t""no" 1>&6
636 if test "x$HTMLDOC" = x; then
637 { echo "configure: error: "htmldoc is required"" 1>&2; exit 1; }
640 DOC_BUILD_DATE=`date '+%d-%m-%Y'`
643 trap '' 1 2 15
644 cat > confcache <<\EOF
645 # This file is a shell script that caches the results of configure
646 # tests run on this system so they can be shared between configure
647 # scripts and configure runs. It is not useful on other systems.
648 # If it contains results you don't want to keep, you may remove or edit it.
650 # By default, configure uses ./config.cache as the cache file,
651 # creating it if it does not exist already. You can give configure
652 # the --cache-file=FILE option to use a different cache file; that is
653 # what configure does when it calls configure scripts in
654 # subdirectories, so they share the cache.
655 # Giving --cache-file=/dev/null disables caching, for debugging configure.
656 # config.status only pays attention to the cache file if you give it the
657 # --recheck option to rerun configure.
660 # The following way of writing the cache mishandles newlines in values,
661 # but we know of no workaround that is simple, portable, and efficient.
662 # So, don't put newlines in cache variables' values.
663 # Ultrix sh set writes to stderr and can't be redirected directly,
664 # and sets the high bit in the cache file unless we assign to the vars.
665 (set) 2>&1 |
666 case `(ac_space=' '; set | grep ac_space) 2>&1` in
667 *ac_space=\ *)
668 # `set' does not quote correctly, so add quotes (double-quote substitution
669 # turns \\\\ into \\, and sed turns \\ into \).
670 sed -n \
671 -e "s/'/'\\\\''/g" \
672 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
675 # `set' quotes correctly as required by POSIX, so do not add quotes.
676 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
678 esac >> confcache
679 if cmp -s $cache_file confcache; then
681 else
682 if test -w $cache_file; then
683 echo "updating cache $cache_file"
684 cat confcache > $cache_file
685 else
686 echo "not updating unwritable cache $cache_file"
689 rm -f confcache
691 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
693 test "x$prefix" = xNONE && prefix=$ac_default_prefix
694 # Let make expand exec_prefix.
695 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
697 # Any assignment to VPATH causes Sun make to only execute
698 # the first set of double-colon rules, so remove it if not needed.
699 # If there is a colon in the path, we need to keep it.
700 if test "x$srcdir" = x.; then
701 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
704 trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
706 # Transform confdefs.h into DEFS.
707 # Protect against shell expansion while executing Makefile rules.
708 # Protect against Makefile macro expansion.
709 cat > conftest.defs <<\EOF
710 s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
711 s%[ `~#$^&*(){}\\|;'"<>?]%\\&%g
712 s%\[%\\&%g
713 s%\]%\\&%g
714 s%\$%$$%g
716 DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
717 rm -f conftest.defs
720 # Without the "./", some shells look in PATH for config.status.
721 : ${CONFIG_STATUS=./config.status}
723 echo creating $CONFIG_STATUS
724 rm -f $CONFIG_STATUS
725 cat > $CONFIG_STATUS <<EOF
726 #! /bin/sh
727 # Generated automatically by configure.
728 # Run this file to recreate the current configuration.
729 # This directory was configured as follows,
730 # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
732 # $0 $ac_configure_args
734 # Compiler output produced by configure, useful for debugging
735 # configure, is in ./config.log if it exists.
737 ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
738 for ac_option
740 case "\$ac_option" in
741 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
742 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
743 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
744 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
745 echo "$CONFIG_STATUS generated by autoconf version 2.13"
746 exit 0 ;;
747 -help | --help | --hel | --he | --h)
748 echo "\$ac_cs_usage"; exit 0 ;;
749 *) echo "\$ac_cs_usage"; exit 1 ;;
750 esac
751 done
753 ac_given_srcdir=$srcdir
755 trap 'rm -fr `echo "Makefile " | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
757 cat >> $CONFIG_STATUS <<EOF
759 # Protect against being on the right side of a sed subst in config.status.
760 sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
761 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
762 $ac_vpsub
763 $extrasub
764 s%@SHELL@%$SHELL%g
765 s%@CFLAGS@%$CFLAGS%g
766 s%@CPPFLAGS@%$CPPFLAGS%g
767 s%@CXXFLAGS@%$CXXFLAGS%g
768 s%@FFLAGS@%$FFLAGS%g
769 s%@DEFS@%$DEFS%g
770 s%@LDFLAGS@%$LDFLAGS%g
771 s%@LIBS@%$LIBS%g
772 s%@exec_prefix@%$exec_prefix%g
773 s%@prefix@%$prefix%g
774 s%@program_transform_name@%$program_transform_name%g
775 s%@bindir@%$bindir%g
776 s%@sbindir@%$sbindir%g
777 s%@libexecdir@%$libexecdir%g
778 s%@datadir@%$datadir%g
779 s%@sysconfdir@%$sysconfdir%g
780 s%@sharedstatedir@%$sharedstatedir%g
781 s%@localstatedir@%$localstatedir%g
782 s%@libdir@%$libdir%g
783 s%@includedir@%$includedir%g
784 s%@oldincludedir@%$oldincludedir%g
785 s%@infodir@%$infodir%g
786 s%@mandir@%$mandir%g
787 s%@JW@%$JW%g
788 s%@PERL@%$PERL%g
789 s%@HTMLDOC@%$HTMLDOC%g
790 s%@DOC_BUILD_DATE@%$DOC_BUILD_DATE%g
792 CEOF
795 cat >> $CONFIG_STATUS <<\EOF
797 # Split the substitutions into bite-sized pieces for seds with
798 # small command number limits, like on Digital OSF/1 and HP-UX.
799 ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
800 ac_file=1 # Number of current file.
801 ac_beg=1 # First line for current file.
802 ac_end=$ac_max_sed_cmds # Line after last line for current file.
803 ac_more_lines=:
804 ac_sed_cmds=""
805 while $ac_more_lines; do
806 if test $ac_beg -gt 1; then
807 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
808 else
809 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
811 if test ! -s conftest.s$ac_file; then
812 ac_more_lines=false
813 rm -f conftest.s$ac_file
814 else
815 if test -z "$ac_sed_cmds"; then
816 ac_sed_cmds="sed -f conftest.s$ac_file"
817 else
818 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
820 ac_file=`expr $ac_file + 1`
821 ac_beg=$ac_end
822 ac_end=`expr $ac_end + $ac_max_sed_cmds`
824 done
825 if test -z "$ac_sed_cmds"; then
826 ac_sed_cmds=cat
830 cat >> $CONFIG_STATUS <<EOF
832 CONFIG_FILES=\${CONFIG_FILES-"Makefile "}
834 cat >> $CONFIG_STATUS <<\EOF
835 for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
836 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
837 case "$ac_file" in
838 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
839 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
840 *) ac_file_in="${ac_file}.in" ;;
841 esac
843 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
845 # Remove last slash and all that follows it. Not all systems have dirname.
846 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
847 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
848 # The file is in a subdirectory.
849 test ! -d "$ac_dir" && mkdir "$ac_dir"
850 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
851 # A "../" for each directory in $ac_dir_suffix.
852 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
853 else
854 ac_dir_suffix= ac_dots=
857 case "$ac_given_srcdir" in
858 .) srcdir=.
859 if test -z "$ac_dots"; then top_srcdir=.
860 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
861 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
862 *) # Relative path.
863 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
864 top_srcdir="$ac_dots$ac_given_srcdir" ;;
865 esac
868 echo creating "$ac_file"
869 rm -f "$ac_file"
870 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
871 case "$ac_file" in
872 *Makefile*) ac_comsub="1i\\
873 # $configure_input" ;;
874 *) ac_comsub= ;;
875 esac
877 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
878 sed -e "$ac_comsub
879 s%@configure_input@%$configure_input%g
880 s%@srcdir@%$srcdir%g
881 s%@top_srcdir@%$top_srcdir%g
882 " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
883 fi; done
884 rm -f conftest.s*
887 cat >> $CONFIG_STATUS <<EOF
890 cat >> $CONFIG_STATUS <<\EOF
892 exit 0
894 chmod +x $CONFIG_STATUS
895 rm -fr confdefs* $ac_clean_files
896 test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1